classification
Title: Increase test coverage for timeit.py
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, koobs, michael.henry, python-dev, r.david.murray, rhettinger, serhiy.storchaka, skrah
Priority: normal Keywords: patch

Created on 2011-03-16 20:27 by michael.henry, last changed 2015-01-31 07:52 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
timeit_unit_test.patch michael.henry, 2011-03-16 20:27 Adds test_timeit.py review
Messages (9)
msg131171 - (view) Author: Michael Henry (michael.henry) * Date: 2011-03-16 20:27
The timeit.py module has no specific tests.  The attached patch adds
Lib/test/test_timeit.py for unit testing, along with slight modifications
to timeit.py to support predictable unit testing.
msg131180 - (view) Author: Roundup Robot (python-dev) Date: 2011-03-16 21:33
New changeset 628a3679dc14 by R David Murray in branch '3.2':
#11578: add unit tests for timeit module.
http://hg.python.org/cpython/rev/628a3679dc14

New changeset 2f443a200b8c by R David Murray in branch 'default':
Merge #11578 test from 3.2.
http://hg.python.org/cpython/rev/2f443a200b8c
msg131181 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-03-16 21:35
We commented out a few of the tests because they took too long to run due to the large default loop count.  timeit would have to be further modified to support testing the default, which probably isn't worth it.
msg131185 - (view) Author: Michael Henry (michael.henry) * Date: 2011-03-16 22:21
Issue #5633 contains two additional unit tests that can't be added until
that ticket's bug is fixed.
msg131305 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-18 00:00
Is there no resource (in the regrtest machinery) that could be used to flag those intensive tests?

Nit: the NEWS entry lacks a “by”.
msg234730 - (view) Author: Roundup Robot (python-dev) Date: 2015-01-26 10:15
New changeset 7e7c825f75ad by Serhiy Storchaka in branch '2.7':
Issue #11578: Backported test for the timeit module.
https://hg.python.org/cpython/rev/7e7c825f75ad
msg234967 - (view) Author: koobs (koobs) Date: 2015-01-29 13:12
7e7c825f75ad832d973542bfcf9ecd6e5dd3f981 broke koobs-freebsd9 and koobs-freebsd10, with:

======================================================================
FAIL: test_main_exception (test.test_timeit.TestTimeit)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/home/buildbot/python/2.7.koobs-freebsd9/build/Lib/test/test_timeit.py", line 300, in test_main_exception
    self.assert_exc_string(error_stringio.getvalue(), 'ZeroDivisionError')
  File "/usr/home/buildbot/python/2.7.koobs-freebsd9/build/Lib/test/test_timeit.py", line 195, in assert_exc_string
    self.assertTrue(exc_lines[0].startswith('Traceback'))
AssertionError: False is not true

----------------------------------------------------------------------
msg235049 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2015-01-30 19:29
I think all 2.7 bots are broken. :)
msg235066 - (view) Author: Roundup Robot (python-dev) Date: 2015-01-31 00:13
New changeset aa6f8e067ec3 by Serhiy Storchaka in branch '2.7':
Use float division to avoid deprecation warning in test_timeit (issue #11578).
https://hg.python.org/cpython/rev/aa6f8e067ec3
History
Date User Action Args
2015-01-31 07:52:39serhiy.storchakasetstatus: open -> closed
2015-01-31 00:13:17python-devsetmessages: + msg235066
2015-01-30 23:22:42koobssetversions: + Python 2.7
2015-01-30 21:43:02serhiy.storchakasetnosy: + serhiy.storchaka
2015-01-30 19:29:53skrahsetnosy: + skrah
messages: + msg235049
2015-01-29 13:12:20koobssetstatus: closed -> open
nosy: + koobs
messages: + msg234967

2015-01-26 10:15:36python-devsetmessages: + msg234730
2011-03-18 00:00:07eric.araujosetnosy: + eric.araujo
messages: + msg131305
2011-03-16 22:32:44r.david.murraysetstatus: open -> closed
2011-03-16 22:21:33michael.henrysetstatus: closed -> open

nosy: + rhettinger
messages: + msg131185

resolution: accepted ->
2011-03-16 21:35:23r.david.murraysetstatus: open -> closed
versions: + Python 3.2, Python 3.3
messages: + msg131181

resolution: accepted
stage: resolved
2011-03-16 21:33:34python-devsetnosy: + python-dev
messages: + msg131180
2011-03-16 20:27:06michael.henrycreate